<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.SplitPane?>
<?import javafx.scene.control.Tab?>
<?import javafx.scene.control.TabPane?>
<?import javafx.scene.control.TextArea?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.VBox?>

<?import javafx.scene.control.ScrollPane?>
<AnchorPane prefHeight="500.0" prefWidth="500.0" xmlns="http://javafx.com/javafx/8.0.212" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controller.BookController">
   <children>
      <SplitPane dividerPositions="0.41404358353510895" layoutX="146.0" layoutY="106.0" orientation="VERTICAL" prefHeight="415.0" prefWidth="480.0" AnchorPane.bottomAnchor="75.0" AnchorPane.leftAnchor="10.0" AnchorPane.rightAnchor="10.0" AnchorPane.topAnchor="10.0">
        <items>
          <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="100.0" prefWidth="160.0">
               <children>
                  <VBox fx:id="bookVbox" layoutX="10.0" prefHeight="168.0" prefWidth="458.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="10.0" AnchorPane.rightAnchor="10.0" AnchorPane.topAnchor="0.0">
                     <children>
                        <HBox prefHeight="40.0" prefWidth="448.0">
                           <VBox.margin>
                              <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                           </VBox.margin>
                           <children>
                              <TextField fx:id="title" alignment="CENTER" prefHeight="25.0" prefWidth="434.0" promptText="Title">
                                 <HBox.margin>
                                    <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                                 </HBox.margin>
                              </TextField>
                           </children>
                        </HBox>
                        <HBox layoutX="15.0" layoutY="15.0" prefHeight="40.0" prefWidth="448.0" spacing="20.0">
                           <children>
                              <TextField fx:id="edition" alignment="CENTER" prefHeight="25.0" prefWidth="182.0" promptText="edition">
                                 <HBox.margin>
                                    <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                                 </HBox.margin>
                              </TextField>
                              <TextField fx:id="year" alignment="CENTER" promptText="year">
                                 <HBox.margin>
                                    <Insets bottom="5.0" top="5.0" />
                                 </HBox.margin>
                              </TextField>
                           </children>
                           <VBox.margin>
                              <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                           </VBox.margin>
                        </HBox>
                        <HBox layoutX="15.0" layoutY="65.0" prefHeight="37.0" prefWidth="448.0" spacing="20.0">
                           <children>
                              <TextField fx:id="genre" alignment="CENTER" prefHeight="25.0" prefWidth="182.0" promptText="genre">
                                 <HBox.margin>
                                    <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                                 </HBox.margin>
                              </TextField>
                              <TextField fx:id="publisher" alignment="CENTER" promptText="publisher">
                                 <HBox.margin>
                                    <Insets bottom="5.0" top="5.0" />
                                 </HBox.margin>
                              </TextField>
                           </children>
                           <VBox.margin>
                              <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                           </VBox.margin>
                        </HBox>
                        <HBox layoutX="15.0" layoutY="115.0" prefHeight="37.0" prefWidth="448.0" spacing="20.0">
                           <children>
                              <Label fx:id="address" alignment="CENTER" prefHeight="28.0" prefWidth="363.0" text="Address">
                                 <HBox.margin>
                                    <Insets bottom="5.0" left="5.0" top="5.0" />
                                 </HBox.margin>
                              </Label>
                              <Button fx:id="browseButton" mnemonicParsing="false" onMouseClicked="#browse" prefHeight="25.0" prefWidth="71.0" text="Browse" />
                           </children>
                           <VBox.margin>
                              <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                           </VBox.margin>
                        </HBox>
                     </children>
                  </VBox>
               </children>
            </AnchorPane>
          <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="100.0" prefWidth="160.0">
               <children>
                  <TabPane layoutX="55.0" layoutY="14.0" prefHeight="200.0" prefWidth="200.0" tabClosingPolicy="UNAVAILABLE" AnchorPane.bottomAnchor="10.0" AnchorPane.leftAnchor="10.0" AnchorPane.rightAnchor="10.0" AnchorPane.topAnchor="10.0">
                    <tabs>
                      <Tab text="Author">
                        <content>
                          <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="180.0" prefWidth="200.0">
                                 <children>
                                    <VBox fx:id="vbox" layoutX="14.0" layoutY="8.0" prefHeight="133.0" prefWidth="370.0" spacing="10.0" AnchorPane.bottomAnchor="49.0" AnchorPane.leftAnchor="14.0" AnchorPane.rightAnchor="74.0" AnchorPane.topAnchor="8.0">
                                       <children>
                                          <HBox prefHeight="43.0" prefWidth="370.0" spacing="5.0">
                                             <children>
                                                <ComboBox fx:id="authorBox" onMouseClicked="#showAuthors" prefHeight="25.0" prefWidth="301.0" promptText="Authors">
                                                   <opaqueInsets>
                                                      <Insets />
                                                   </opaqueInsets>
                                                </ComboBox>
                                                <TextField fx:id="authorOrderBox" alignment="CENTER" prefHeight="25.0" prefWidth="56.0" promptText="order" />
                                             </children>
                                          </HBox>
                                       </children>
                                    </VBox>
                                    <Button fx:id="newAuthor" layoutX="335.0" layoutY="151.0" mnemonicParsing="false" onMouseClicked="#addNewAuthors" prefHeight="25.0" prefWidth="111.0" text="New Author" AnchorPane.bottomAnchor="14.0" AnchorPane.leftAnchor="335.0" AnchorPane.rightAnchor="12.0" AnchorPane.topAnchor="151.0" />
                                    <Button fx:id="addAuthor" layoutX="384.0" layoutY="8.0" mnemonicParsing="false" onMouseClicked="#addAuthor" prefHeight="25.0" prefWidth="62.0" text="ADD" AnchorPane.bottomAnchor="157.0" AnchorPane.leftAnchor="384.0" AnchorPane.rightAnchor="12.0" AnchorPane.topAnchor="8.0" />
                                 </children>
                              </AnchorPane>
                        </content>
                      </Tab>
                        <Tab text="comment">
                            <content>
                                <AnchorPane fx:id="commentPane" minHeight="0.0" minWidth="0.0" prefHeight="180.0" prefWidth="200.0">
                                    <children>
                                        <Button fx:id="AddCommentButton" layoutX="23.0" layoutY="178.0" mnemonicParsing="false" onMouseClicked="#addComment" text="Add" />
                                        <TextArea fx:id="Content" layoutX="23.0" layoutY="14.0" prefHeight="158.0" prefWidth="200.0" text="" />
                                        <ScrollPane fx:id="scroller" hbarPolicy="NEVER" layoutX="280.0" layoutY="18.0" prefHeight="236.0" prefWidth="352.0">
                                            <content>
                                                <VBox fx:id="vboxComment" prefHeight="231.0" prefWidth="361.0" />
                                            </content></ScrollPane>
                                    </children>
                                </AnchorPane>
                            </content>
                        </Tab>
                        <Tab text="Tag">
                           <content>
                              <AnchorPane fx:id="TagAnchorPaneBook" minHeight="0.0" minWidth="0.0" prefHeight="180.0" prefWidth="200.0">
                                 <children>
                                    <ComboBox fx:id="tagBox" layoutX="14.0" layoutY="14.0" onMouseClicked="#showTags" prefWidth="150.0" />
                                    <Button fx:id="addTag" layoutX="177.0" layoutY="14.0" mnemonicParsing="false" onMouseClicked="#addTag" text="add" />
                                 </children>
                              </AnchorPane>
                           </content>
                        </Tab>
                        <Tab text="Summary">
                           <content>
                              <AnchorPane minHeight="0.0" minWidth="0.0" prefHeight="180.0" prefWidth="200.0">
                                 <children>
                                    <TextArea fx:id="summary" layoutX="7.0" layoutY="7.0" prefHeight="172.0" prefWidth="441.0" AnchorPane.bottomAnchor="34.0" AnchorPane.leftAnchor="7.0" AnchorPane.rightAnchor="10.0" AnchorPane.topAnchor="7.0" />
                                 </children>
                              </AnchorPane>
                           </content>
                        </Tab>
                    </tabs>
                  </TabPane>
               </children>
            </AnchorPane>
        </items>
      </SplitPane>
      <Button fx:id="saveBook" layoutX="368.0" layoutY="458.0" mnemonicParsing="false" onMouseClicked="#saveNewBook" prefHeight="25.0" prefWidth="119.0" text="save" />
   </children>
</AnchorPane>
